# Get history of alarm rule

Returns instance of alarm rule history

Endpoint: GET /v1/enterprise/{enterprise_id}/alarmrules/{alarm_id}/alarmhistory/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `enterprise_id` (string, required)
    A UUID string identifying this enterprise.

  - `alarm_id` (string, required)
    A UUID string identifying the alarm ruleset.

## Response 200 fields (application/json):

  - `device_name` (string)

  - `device_id` (string)

  - `group_id` (array)
    lists group id's in uuid format

  - `group_name` (string)

  - `alert_time` (string)

  - `latest_seen` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 404 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 500 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)


